.set_auth .alert{
    display:-webkit-box;
    display:-ms-flexbox;
    display:flex;
    -webkit-box-pack:justify;
    -ms-flex-pack:justify;
    justify-content:space-between;
    -webkit-box-align:center;
    -ms-flex-align:center;
    align-items:center;
    position:relative;
    background-repeat:no-repeat;
    background-position:top calc(1.5rem + 0.375em) left calc(1rem + 0.375em);
    background-size:calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
    padding:1.5rem 1rem;
    padding-left:calc(1.5rem + 1.5em + 0.25em);
    margin-bottom:1rem;
    border:1px solid transparent;
    border-radius:.25rem
}
.alert--title{
    font-weight:500;
    font-size:1.125rem;
    line-height:1.6;
    color:#fff;
    margin-bottom:0
}
.alert--title+.alert--description{
    margin-bottom:.25rem
}
.alert--description{
    color:var(--exl-neutral-gray-200);
    font-size:.875rem;
    font-weight:400;
    line-height:1.5rem;
    margin-bottom:0
}
.alert--actions a.btn{
    margin-top:0!important;
    font-size:.875rem;
    font-weight:500;
    line-height:1.4;
    color:inherit
}
.alert--close{
    padding-left:30px;
    border-left:1px solid transparent
}
.alert--close>svg{
    cursor:pointer
}
.alert__danger{
    background-image:url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTgnIGhlaWdodD0nMTgnIHZpZXdCb3g9JzAgMCAxOCAxOCcgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNOSA1LjY2NjY3SDkuMDA4MzNNOC4xNjY2NyA5SDlWMTIuMzMzM0g5LjgzMzMzTTE2LjUgOUMxNi41IDEzLjE0MjEgMTMuMTQyMSAxNi41IDkgMTYuNUM0Ljg1Nzg2IDE2LjUgMS41IDEzLjE0MjEgMS41IDlDMS41IDQuODU3ODYgNC44NTc4NiAxLjUgOSAxLjVDMTMuMTQyMSAxLjUgMTYuNSA0Ljg1Nzg2IDE2LjUgOVonIHN0cm9rZT0nI0VDNDA0Nicgc3Ryb2tlLXdpZHRoPScxLjY2NjY3JyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnLz48L3N2Zz4=);
    color:var(--exl-white);
    background-color:var(--exl-primary-red-1000);
    border:1px solid var(--exl-primary-red-900)
}
.alert__danger .alert--close{
    border-color:var(--exl-primary-red-900)
}
.alert__success{
    background-image:url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTgnIGhlaWdodD0nMTgnIHZpZXdCb3g9JzAgMCAxOCAxOCcgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNOSA1LjY2NjY3SDkuMDA4MzNNOC4xNjY2NyA5SDlWMTIuMzMzM0g5LjgzMzMzTTE2LjUgOUMxNi41IDEzLjE0MjEgMTMuMTQyMSAxNi41IDkgMTYuNUM0Ljg1Nzg2IDE2LjUgMS41IDEzLjE0MjEgMS41IDlDMS41IDQuODU3ODYgNC44NTc4NiAxLjUgOSAxLjVDMTMuMTQyMSAxLjUgMTYuNSA0Ljg1Nzg2IDE2LjUgOVonIHN0cm9rZT0nIzFCQkM4Micgc3Ryb2tlLXdpZHRoPScxLjY2NjY3JyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnLz48L3N2Zz4=);
    color:var(--exl-white);
    background-color:rgba(10,70,49,.6);
    border:1px solid var(--exl-success-green-700)
}
.alert__success .alert--actions a.btn{
    color:var(--exl-success-green-400);
    margin-right:1.25rem
}
.rounded-2{
    border-radius:.5rem!important
}
.checkout .user{
    position:relative;
    min-width:0;
    word-wrap:break-word;
    background-clip:border-box;
    border-radius:1rem;
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    -webkit-box-orient:vertical;
    -webkit-box-direction:normal;
    -webkit-flex-direction:column;
    -ms-flex-direction:column;
    flex-direction:column;
    background-color:var(--exl-neutral-gray-1000);
    border:1px solid var(--exl-neutral-gray-800);
    transition:all .2s
}
.checkout .user--register-form .user--form-inputs{
    position:relative;
    min-width:0;
    word-wrap:break-word;
    background-clip:border-box;
    border-radius:1rem;
    display:-webkit-box;
    display:-ms-flexbox;
    display:flex;
    -webkit-box-orient:horizontal;
    -webkit-box-direction:normal;
    -ms-flex-direction:row;
    flex-direction:row;
    -ms-flex-wrap:wrap;
    flex-wrap:wrap;
    -webkit-box-flex:0;
    -ms-flex:0 0 100%;
    flex:0 0 100%;
    max-width:100%;
    background-color:var(--exl-neutral-gray-1000);
    border:1px solid var(--exl-neutral-gray-800);
    -webkit-transition:all .2s;
    -o-transition:all .2s;
    transition:all .2s;
    padding:1rem
}
.checkout .user:hover:not(.user__logged-in),.checkout .user:focus-within:not(.user__logged-in),.checkout .user--register-form .user--form-inputs:hover,.checkout .user--register-form .user--form-inputs:has(.form-control:focus-within),.checkout .user--login-area__invalid,.checkout .user--register-area__invalid .user--form-inputs{
    background-color:var(--exl-neutral-gray-950)
}
.checkout .user--login-area{
    padding:1.25rem 2.5rem
}
.checkout .user--login-area__invalid{
    -webkit-box-pack:start;
    -webkit-justify-content:flex-start;
    -ms-flex-pack:start;
    justify-content:flex-start
}
.checkout .user--register{
    height:100%;
    width:100%;
    padding:1rem
}
.checkout .user--register-area{
    width:100%;
    -webkit-box-flex:0;
    -webkit-flex:0 0 100%;
    -ms-flex:0 0 100%;
    flex:0 0 100%;
    -webkit-box-pack:center;
    -webkit-justify-content:center;
    -ms-flex-pack:center;
    justify-content:center;
    max-width:1008px;
    margin-right:auto;
    margin-left:auto;
    padding:1rem
}
.checkout .user--login-form input:-webkit-autofill,.checkout .user--login-form input:-webkit-autofill:focus,.checkout .user--register-form input:-webkit-autofill,.checkout .user--register-form input:-webkit-autofill:focus{
    -webkit-transition:background-color 0s 600000s,color 0s 600000s;
    transition:background-color 0s 600000s,color 0s 600000s
}
.checkout .user--login-form label{
    font-weight:400;
    font-size:1rem;
    line-height:1.5;
    color:#fff
}
.checkout .user--register-form label{
    font-weight:500;
    font-size:1.125rem;
    line-height:1.7;
    color:#fff
}
.checkout .user--login-form .form-control:not(textarea),.checkout .user--register-form .form-control:not(textarea){
    height:48px;
    background-color:white!important;
    border:1px solid white!important;
    color:black!important;
    border-radius:.5rem!important
}
.checkout .user--login-form .form-control:hover,.checkout .user--login-form .form-control:focus,.checkout .user--register-form .form-control:hover,.checkout .user--register-form .form-control:focus{
    background-color:var(--exl-neutral-gray-800)!important;
    border:1px solid var(--exl-neutral-gray-500)!important;
    color:var(--exl-white)!important
}
.checkout .user--login-form .input-group-text,.checkout .user--register-form .input-group-text{
    background-color:var(--exl-neutral-gray-1000);
    border:1px solid var(--exl-neutral-gray-700)
}
.checkout .user--login-form .invalid-feedback,.checkout .user--register-form .invalid-feedback{
    padding-left:calc(1.5em + 0.75rem);
    background-image:url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0naHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmcnIHdpZHRoPScxMicgaGVpZ2h0PScxMicgZmlsbD0nbm9uZScgc3Ryb2tlPScjZGMzNTQ1JyB2aWV3Qm94PScwIDAgMTIgMTInPjxjaXJjbGUgY3g9JzYnIGN5PSc2JyByPSc0LjUnLz48cGF0aCBzdHJva2UtbGluZWpvaW49J3JvdW5kJyBkPSdNNS44IDMuNmguNEw2IDYuNXonLz48Y2lyY2xlIGN4PSc2JyBjeT0nOC4yJyByPScuNicgZmlsbD0nI2RjMzU0NScgc3Ryb2tlPSdub25lJy8+PC9zdmc+);
    background-repeat:no-repeat;
    background-position:left calc(0.375em + 0.1875rem) center;
    background-size:calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
    color:var(--exl-white);
    margin-top:.5rem
}
.checkout .user--login-form .form-control+.form-text{
    margin-top:8px
}
.checkout .user--login-form .form-inline,.checkout .user--register-form .form-inline,.checkout .user--register-form .form-inline+.password-generate-link{
    margin-bottom:32px
}
.checkout .user--register-form .form-inline:has(+.password-strength-meter){
    margin-bottom:16px
}
@media(min-width:768px){
    .checkout .user--register-form .form-inline:has(+.password-generate-link){
        margin-bottom:0
    }
}
.user--register-form .iradio_square-blue,.user--register-form .icheckbox_square-blue{
    border-radius:4px
}
.checkout .user .alert{
    font-size:16px;
    font-weight:500;
    line-height:28px;
    letter-spacing:0;
    margin-bottom:32px
}
.checkout .user .alert-danger{
    color:var(--exl-white);
    background-color:rgba(98,16,16,.6);
    background-image:url(data:image/svg+xml;base64,PHN2ZyBjbGFzcz0nbXItMicgd2lkdGg9JzE4JyBoZWlnaHQ9JzE4JyB2aWV3Qm94PScwIDAgMTggMTgnIGZpbGw9J25vbmUnIHhtbG5zPSdodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2Zyc+PHBhdGggZD0nTTkgNS42NjY2N0g5LjAwODMzTTguMTY2NjcgOUg5VjEyLjMzMzNIOS44MzMzM00xNi41IDlDMTYuNSAxMy4xNDIxIDEzLjE0MjEgMTYuNSA5IDE2LjVDNC44NTc4NiAxNi41IDEuNSAxMy4xNDIxIDEuNSA5QzEuNSA0Ljg1Nzg2IDQuODU3ODYgMS41IDkgMS41QzEzLjE0MjEgMS41IDE2LjUgNC44NTc4NiAxNi41IDlaJyBzdHJva2U9JyNFQzQwNDYnIHN0cm9rZS13aWR0aD0nMS42NjY2Nycgc3Ryb2tlLWxpbmVjYXA9J3JvdW5kJyBzdHJva2UtbGluZWpvaW49J3JvdW5kJy8+PC9zdmc+);
    border:1px solid var(--exl-primary-red-900);
    padding-left:calc(1.5em + 0.75rem);
    background-repeat:no-repeat;
    background-position:left calc(0.375em + 0.1875rem) center;
    background-size:calc(0.75em + 0.375rem) calc(0.75em + 0.375rem)
}
.checkout .user__logged-out{
    display:-webkit-box;
    display:-webkit-flex;
    display:-ms-flexbox;
    display:flex;
    -webkit-box-orient:horizontal;
    -webkit-box-direction:normal;
    -webkit-flex-direction:row;
    -ms-flex-direction:row;
    flex-direction:row;
    -webkit-box-pack:center;
    -webkit-justify-content:center;
    -ms-flex-pack:center;
    justify-content:center;
    gap:32px
}
.checkout .user__logged-in{
    width:100%;
    -webkit-box-flex:0;
    -webkit-flex:0 0 100%;
    -ms-flex:0 0 100%;
    flex:0 0 100%;
    max-width:1008px;
    padding:48px;
    color:var(--exl-white);
    font-size:18px;
    font-weight:400;
    line-height:30px;
    letter-spacing:0;
    text-align:center;
    margin-right:auto;
    margin-left:auto;
    -webkit-box-pack:center;
    -webkit-justify-content:center;
    -ms-flex-pack:center;
    justify-content:center
}
.checkout .user--icon{
    margin:0 auto 16px
}
.checkout .user--title{
    font-size:24px;
    font-weight:500
}
.checkout .user--text{
    color:var(--exl-neutral-gray-400)
}
.checkout .user .btn--logout{
    display:-webkit-inline-box;
    display:-webkit-inline-flex;
    display:-ms-inline-flexbox;
    display:inline-flex;
    -webkit-box-align:center;
    -webkit-align-items:center;
    -ms-flex-align:center;
    align-items:center;
    margin:0 auto;
    color:var(--exl-primary-red-500);
    font-size:16px;
    line-height:20px;
    letter-spacing:0;
    text-decoration:none;
    margin-top:2rem
}
.checkout .user .btn--logout:focus,.checkout .user .btn--logout:focus-visible{
    border-color:transparent;
    outline:none
}
.checkout .user .btn--logout:hover{
    text-decoration:underline
}
.checkout .user .generate-password{
    color:var(--exl-neutral-gray-300);
    font-size:12px;
    font-weight:400;
    line-height:32px;
    letter-spacing:0;
    text-decoration:underline;
    background-color:transparent;
    border:none;
    padding:0
}
.checkout .user .generate-password:hover{
    color:var(--exl-white)
}
.checkout .user .generate-password:focus,.checkout .user .generate-password:focus-visible{
    border-color:transparent;
    outline:none
}
.checkout .user--already-have-account{
    color:var(--exl-neutral-gray-400);
    font-size:18px;
    font-weight:400;
    line-height:30px;
    letter-spacing:0;
    text-align:center
}
.checkout .user--already-have-account .btn-sign-in{
    color:var(--exl-white);
    font-weight:500;
    text-decoration:none;
    background-color:transparent;
    border:none
}
.checkout .user--already-have-account .btn-sign-in:hover{
    text-decoration:underline
}
.checkout .user--already-have-account .btn-sign-in:focus,.checkout .user--already-have-account .btn-sign-in:focus-visible{
    border-color:transparent;
    outline:none
}
